commit 1abc44f25141b1cbb49e24ce0244415947966cb6
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Jan 10 01:19:37 2026

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 5b80bfa5314..4be66b08309 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2026-01-09  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2025-12-08  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/123040
+	* tree-ssa-sccvn.cc (vn_nary_build_or_lookup_1): Only insert
+	nary results.
+
 2026-01-06  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR target/121192
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 0e4e9e58a14..49c7b136770 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20260108
+20260110
diff --git a/gcc/c-family/ChangeLog b/gcc/c-family/ChangeLog
index 626db6eb86f..4dab838c061 100644
--- a/gcc/c-family/ChangeLog
+++ b/gcc/c-family/ChangeLog
@@ -1,3 +1,12 @@
+2026-01-09  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2025-12-18  Richard Biener  <rguenther@suse.de>
+
+	PR c/123156
+	* c-common.cc (c_build_shufflevector): Use ssizetype for the
+	permute vector element type.
+
 2025-12-08  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 3ab1175622f..162bd8d4100 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,28 @@
+2026-01-09  Eczbek  <eczbek.void@gmail.com>
+
+	Backported from master:
+	2025-11-29  Eczbek  <eczbek.void@gmail.com>
+		    Jason Merrill  <jason@redhat.com>
+
+	PR c++/116952
+	* parser.cc (cp_parser_lambda_expression): Revert
+	r11-8166-ge1666ebd9ad31d change prohibiting lambda in non-type
+	parameter.
+
+2026-01-09  Jason Merrill  <jason@redhat.com>
+
+	Backported from master:
+	2025-09-27  Jason Merrill  <jason@redhat.com>
+
+	PR c++/122048
+	* pt.cc (tsubst_expr): Don't use a lambda current_class_ptr.
+
+2026-01-09  Jason Merrill  <jason@redhat.com>
+
+	PR c++/121854
+	* lambda.cc (lambda_expr_this_capture): Don't assume
+	current_class_ref.
+
 2025-12-23  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index d569c0ca5d1..cf7cb9c5852 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,51 @@
+2026-01-09  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2026-01-07  Richard Biener  <rguenther@suse.de>
+
+	PR testsuite/123353
+	PR c/123156
+	* gcc.dg/torture/builtin-shufflevector-pr123156.c: Require le.
+
+2026-01-09  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2025-12-18  Richard Biener  <rguenther@suse.de>
+
+	PR c/123156
+	* gcc.dg/torture/builtin-shufflevector-pr123156.c: New testcase.
+
+2026-01-09  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2025-12-08  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/123040
+	* g++.dg/torture/pr123040.C: New testcase.
+
+2026-01-09  Eczbek  <eczbek.void@gmail.com>
+
+	Backported from master:
+	2025-11-29  Eczbek  <eczbek.void@gmail.com>
+		    Jason Merrill  <jason@redhat.com>
+
+	PR c++/116952
+	* g++.dg/cpp2a/lambda-uneval14.C: Revise incorrect test.
+	* g++.dg/cpp2a/lambda-uneval29.C: New test.
+
+2026-01-09  Jason Merrill  <jason@redhat.com>
+
+	Backported from master:
+	2025-09-27  Jason Merrill  <jason@redhat.com>
+
+	PR c++/122048
+	* g++.dg/cpp1y/lambda-generic-this6.C: New test.
+
+2026-01-09  Jason Merrill  <jason@redhat.com>
+
+	PR c++/121854
+	* g++.dg/cpp23/explicit-obj-lambda19.C: New test.
+
 2026-01-03  Eric Botcazou  <ebotcazou@gcc.gnu.org>
 
 	* gnat.dg/specs/aggr10.ads: New test.

